[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# assign(Tvector4_double):Tvector2_single

Allow assignment of four-dimensional double precision vector to two-dimensional single precision vector

## Declaration

Source position: matrix.pp line 328

`operator operator :=(`
`const v: Tvector4_double`
`):Tvector2_single;`

## Description

This operator allows you to use a four-dimensional vector with double precision values wherever a two-dimensional vector with single precision is expected. The third and fourth dimensions are thrown away and some accuracy is lost because of the conversion.